package com.wechat.model.dto;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.wechat.model.responseDto.EducationExperienceResp;
import com.wechat.model.responseDto.WorkExperienceResp;

/**
 * 用户信息 企业收到简历列表使用
 * 
 * @author zhouyd
 *
 */
public class UserInfoResp extends BasePageDto<UserInfoResp>{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String intvId; // 简历投递id
	
	private String phoneNo; // 手机号

	private String userCode; // 用户code-求职者

	private String headImage; // 头像

	private String name; // 用户姓名-求职者
	
	private String foreignName; // 外文名称
	
	private String identityFlag; 

	private String email; // 邮箱

	private Date firstWork; // 首份工作

	private String jobName; // 应聘职位

	@JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
	private Date createDate; // 投递时间
	
	private Date birthday; // 生日

	private String jobId; // 职位Id

	private String status; // 简历状态
	private String cvUrl; // 简历路径
	
	//查询参数
	private String publisher;
	private String lang;
	private String model;

	private List<WorkExperienceResp> workExperience; // 工作经历

	private List<EducationExperienceResp> educationExperience; // 教育经历
	
	private InterviewListDto interviewInfo; // 邀请面试履历
	

	public String getPhoneNo() {
		return phoneNo;
	}

	public void setPhoneNo(String phoneNo) {
		this.phoneNo = phoneNo;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getHeadImage() {
		return headImage;
	}

	public void setHeadImage(String headImage) {
		this.headImage = headImage;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}
	@JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getJobId() {
		return jobId;
	}

	public void setJobId(String jobId) {
		this.jobId = jobId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public List<WorkExperienceResp> getWorkExperience() {
		return workExperience;
	}

	public void setWorkExperience(List<WorkExperienceResp> workExperience) {
		this.workExperience = workExperience;
	}

	public String getCvUrl() {
		return cvUrl;
	}

	public void setCvUrl(String cvUrl) {
		this.cvUrl = cvUrl;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}

	public String getIdentityFlag() {
		return identityFlag;
	}

	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = identityFlag;
	}

	public List<EducationExperienceResp> getEducationExperience() {
		return educationExperience;
	}

	public void setEducationExperience(List<EducationExperienceResp> educationExperience) {
		this.educationExperience = educationExperience;
	}

	public Date getFirstWork() {
		return firstWork;
	}

	public void setFirstWork(Date firstWork) {
		this.firstWork = firstWork;
	}

	public InterviewListDto getInterviewInfo() {
		return interviewInfo;
	}

	public void setInterviewInfo(InterviewListDto interviewInfo) {
		this.interviewInfo = interviewInfo;
	}

	public String getIntvId() {
		return intvId;
	}

	public void setIntvId(String intvId) {
		this.intvId = intvId;
	}

	public Date getBirthday() {
		return birthday;
	}

	public void setBirthday(Date birthday) {
		this.birthday = birthday;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public String getLang() {
		return lang;
	}

	public void setLang(String lang) {
		this.lang = lang;
	}


	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}

}
